# Interface methods for submodule: PointSetToPointSetRegistrationMethod
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: PointSetToPointSetRegistrationMethod
class PointSetToPointSetRegistrationMethodProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFixedPointSet(self, _arg) -> None:
		""""""
		...

	def GetFixedPointSet(self):
		""""""
		...

	def SetMovingPointSet(self, _arg) -> None:
		""""""
		...

	def GetMovingPointSet(self):
		""""""
		...

	def SetOptimizer(self, _arg) -> None:
		""""""
		...

	def GetModifiableOptimizer(self):
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

	def SetMetric(self, _arg) -> None:
		""""""
		...

	def GetModifiableMetric(self):
		""""""
		...

	def GetMetric(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInitialTransformParameters(self, param) -> None:
		""""""
		...

	def GetInitialTransformParameters(self):
		""""""
		...

	def GetLastTransformParameters(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def MakeOutput(self, output: int):
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

